package com.qizhen.healsphere.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qizhen.healsphere.repository.mapper.entity.KgCountInfo;
import com.qizhen.healsphere.web.param.BacteriaGenus;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import java.util.List;

@Mapper
public interface BacteriaGenusMapper extends BaseMapper<BacteriaGenus> {

    @Select("<script>" +
            "SELECT type, \"genericName\", \"relativeRate\", \"totalNum\" FROM bacteriagenus WHERE \"genericName\" IN " +
            "<foreach collection='genericNames' item='item' open='(' separator=',' close=')'>" +
            "   #{item}" +
            "</foreach>" +
            "</script>")
    List<BacteriaGenus> findByGenericNames(@Param("genericNames") List<String> genericNames);
}