package com.qizhen.healsphere.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qizhen.healsphere.web.param.Epiflu;
import com.qizhen.healsphere.web.vo.InputVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface EpifluQueryMapper extends BaseMapper<Epiflu> {

    /**
     * 获取条件查询的条数
     * @param inputVO 查询参数
     * @return 符合条件的记录数
     */
    @Select("<script>" +
            "SELECT COUNT(1) FROM epiflu " +
            "WHERE 1=1 " +
            "<if test='inputVO.subtype != null and inputVO.subtype.trim() != \"\"'> " +
            "AND subtype = #{inputVO.subtype} " +
            "</if>" +
            "<if test='inputVO.constellation != null and !inputVO.constellation.isEmpty()'> " +
            "AND clade IN " +
            "<foreach item='item' collection='inputVO.constellation' open='(' separator=',' close=')'> " +
            "#{item} " +
            "</foreach> " +
            "</if>" +
            "<if test='inputVO.startDate != null and inputVO.endDate != null'> " +
            "AND collection_date BETWEEN #{inputVO.startDate} AND #{inputVO.endDate} " +
            "</if>" +
            "</script>")
    int getCountByQuery(@Param("inputVO") InputVO inputVO);
}