package com.qizhen.healsphere.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qizhen.healsphere.web.param.BacteriaGenus;
import com.qizhen.healsphere.web.param.Strain;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface StrainMapper extends BaseMapper<Strain> {

    @Select("<script>" +
            "SELECT name AS \"kindName\", new_est_reads AS \"num\", fraction_total_reads AS \"rate\", \"parentName\" " +
            "FROM strain " +
            "WHERE \"name\" IN " +
            "<foreach collection='parentNames' item='item' open='(' separator=',' close=')'>" +
            "   #{item}" +
            "</foreach>" +
            "</script>")
    List<Strain> findByParentNames(@Param("parentNames") List<String> parentNames);
}