package com.qizhen.healsphere.web;

import com.qizhen.healsphere.facade.IsolateFacade;
import com.qizhen.healsphere.service.IsolateService;
import com.qizhen.healsphere.web.dto.ChinaIsolateDTO;
import com.qizhen.healsphere.web.dto.IsolateDTO;
import com.qizhen.healsphere.web.vo.ChinaInputVO;
import com.qizhen.healsphere.web.vo.InputVO;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@Slf4j
@Api(value = "突发传染病病原体快速识别与溯源API", tags = { "突发传染病病原体快速识别与溯源API" })
public class IsolateController {

    @Autowired
    private IsolateFacade isolateFacade;

    @PostMapping("/getIsolate")
    @ResponseBody
    public List<IsolateDTO> getIsolate(@RequestBody(required = false) InputVO inputVO) {
        return isolateFacade.getIsolate(inputVO);
    }

    @PostMapping("/getChinaIsolate")
    @ResponseBody
    public List<ChinaIsolateDTO> getChinaIsolate(@RequestBody ChinaInputVO chinaInputVO) {
        return isolateFacade.getChinaIsolate(chinaInputVO);
    }

}
