package com.qizhen.healsphere.web.param;

public enum ContinentCoordinates {
    ASIA("+43.000000", "+87.000000"),
    EUROPE("+45.000000", "+10.000000"),
    AFRICA("+3.000000", "+23.000000"),
    OCEANIA("-24.000000", "+135.000000"),
    NORTH_AMERICA("+45.000000", "-100.000000"),
    SOUTH_AMERICA("-15.000000", "-65.000000");

    private final String latitude;
    private final String longitude;

    // 构造函数
    ContinentCoordinates(String latitude, String longitude) {
        this.latitude = latitude;
        this.longitude = longitude;
    }

    // 获取纬度
    public String getLatitude() {
        return latitude;
    }

    // 获取经度
    public String getLongitude() {
        return longitude;
    }

    // 根据大洲名称获取枚举实例
    public static ContinentCoordinates fromName(String name) {
        for (ContinentCoordinates continent : ContinentCoordinates.values()) {
            if (continent.name().equalsIgnoreCase(name)) {
                return continent;
            }
        }
        throw new IllegalArgumentException("Unknown continent: " + name);
    }

    // 重写 toString 方法，方便打印
    @Override
    public String toString() {
        return name() + " - Latitude: " + latitude + ", Longitude: " + longitude;
    }
}