package com.qizhen.healsphere.web.param;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDate;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 病毒分离物核心信息
 * </p>
 *
 * @author chenbin
 * @since 2025-04-24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("isolate")
public class Isolate implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "isolate_id", type = IdType.AUTO)
    private String isolateId;

    /**
     * 病毒名称
     */
    @TableField("isolate_name")
    private String isolateName;

    /**
     * 采集日期
     */
    @TableField("collection_date")
    private LocalDate collectionDate;

    /**
     * 提交日期
     */
    @TableField("submission_date")
    private LocalDate submissionDate;

    /**
     * 更新日期
     */
    @TableField("update_date")
    private LocalDate updateDate;

    /**
     * 亚型
     */
    @TableField("subtype")
    private String subtype;

    /**
     * 基因型
     */
    @TableField("genotype")
    private String genotype;

    /**
     * 谱系
     */
    @TableField("lineage")
    private String lineage;

    /**
     * 进化分支
     */
    @TableField("clade")
    private String clade;

    /**
     * 地理来源
     */
    @TableField("location")
    private String location;

    /**
     * 宿主外键
     */
    @TableField("host_id")
    private Integer hostId;

    /**
     * 提交实验室外键
     */
    @TableField("submitting_lab_id")
    private Integer submittingLabId;

    /**
     * 原始实验室外键
     */
    @TableField("originating_lab_id")
    private Integer originatingLabId;

    /**
     * 是否为中国
     */
    @TableField("is_china")
    private Integer isChina;


}
