package com.qizhen.healsphere.web.vo;

import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class ChinaInputVO {
    private List<String> clade; //进化分支
    private String subtype; //亚系
    private String startDate; //开始时间
    private String endDate; //结束时间
    private String province; //省份

    public boolean hasValidClade() {
        if (clade == null || clade.isEmpty()) {
            return false;
        }
        for (String item : clade) {
            if (item != null && !item.trim().isEmpty()) {
                return true; // 存在有效元素
            }
        }
        return false; // 所有元素为空或空字符串
    }
}
