package com.qizhen.healsphere.web.vo;

import lombok.Data;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

@Data
public class InputVO {
    private String constellation;
    private List<String> clade; // clade
    private String subtype;
    private String startDate;
    private String endDate;
    private String continent; //大洲

    public boolean hasValidClade() {
        if (clade == null || clade.isEmpty()) {
            return false;
        }
        for (String item : clade) {
            if (item != null && !item.trim().isEmpty()) {
                return true; // 存在有效元素
            }
        }
        return false; // 所有元素为空或空字符串
    }
}
